html {
  font-family: sans-serif;
  line-height: 1.15;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}
body {
  margin: 0;
}
article,
aside,
footer,
header,
nav,
section {
  display: block;
}
h1 {
  font-size: 2em;
  margin: 0.67em 0;
}
figcaption,
figure,
main {
  display: block;
}
figure {
  margin: 1em 40px;
}
hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}
pre {
  font-family: monospace, monospace;
  font-size: 1em;
}
a {
  background-color: transparent;
  -webkit-text-decoration-skip: objects;
}
a:active,
a:hover {
  outline-width: 0;
}
abbr[title] {
  border-bottom: none;
  text-decoration: underline;
  text-decoration: underline dotted;
}
b,
strong {
  font-weight: inherit;
}
b,
strong {
  font-weight: bolder;
}
code,
kbd,
samp {
  font-family: monospace, monospace;
  font-size: 1em;
}
dfn {
  font-style: italic;
}
mark {
  background-color: #ff0;
  color: #000;
}
small {
  font-size: 80%;
}
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
sub {
  bottom: -0.25em;
}
sup {
  top: -0.5em;
}
audio,
video {
  display: inline-block;
}
audio:not([controls]) {
  display: none;
  height: 0;
}
img {
  border-style: none;
}
svg:not(:root) {
  overflow: hidden;
}
button,
input,
optgroup,
select,
textarea {
  font-family: sans-serif;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}
button,
input {
  overflow: visible;
}
button,
select {
  text-transform: none;
}
button,
html [type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button;
}
button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}
button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
  outline: 1px dotted ButtonText;
}
fieldset {
  border: 1px solid silver;
  margin: 0 2px;
  padding: 0.35em 0.625em 0.75em;
}
legend {
  box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 0;
  white-space: normal;
}
progress {
  display: inline-block;
  vertical-align: baseline;
}
textarea {
  overflow: auto;
}
[type="checkbox"],
[type="radio"] {
  box-sizing: border-box;
  padding: 0;
}
[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}
[type="search"] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}
[type="search"]::-webkit-search-cancel-button,
[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}
::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}
details,
menu {
  display: block;
}
summary {
  display: list-item;
}
canvas {
  display: inline-block;
}
template {
  display: none;
}
[hidden] {
  display: none;
}
@font-face {
  font-family: neue machina;
  src: url(../fonts/NeueMachina/NeueMachina-Regular.eot);
  src: url(../fonts/NeueMachina/NeueMachina-Regulard41d.eot?#iefix)
      format("embedded-opentype"),
    url(../fonts/NeueMachina/NeueMachina-Regular.woff) format("woff"),
    url(../fonts/NeueMachina/NeueMachina-Regular.ttf) format("truetype"),
    url(../fonts/NeueMachina/NeueMachina-Regular.svg) format("svg");
  font-weight: 400;
  font-style: normal;
  font-display: block;
}
@font-face {
  font-family: neue machina;
  src: url(../fonts/NeueMachina/NeueMachina-Medium.eot);
  src: url(../fonts/NeueMachina/NeueMachina-Mediumd41d.eot?#iefix)
      format("embedded-opentype"),
    url(../fonts/NeueMachina/NeueMachina-Medium.woff) format("woff"),
    url(../fonts/NeueMachina/NeueMachina-Medium.ttf) format("truetype"),
    url(../fonts/NeueMachina/NeueMachina-Medium.svg) format("svg");
  font-weight: 500;
  font-style: normal;
  font-display: block;
}
@font-face {
  font-family: "cstm xprmntl 02";
  src: url(../fonts/CSTM/CSTMXprmntl02Italic-Italic.eot);
  src: url(../fonts/CSTM/CSTMXprmntl02Italic-Italicd41d.eot?#iefix)
      format("embedded-opentype"),
    url(../fonts/CSTM/CSTMXprmntl02Italic-Italic.woff) format("woff"),
    url(../fonts/CSTM/CSTMXprmntl02Italic-Italic.ttf) format("truetype"),
    url(../fonts/CSTM/CSTMXprmntl02Italic-Italic.svg) format("svg");
  font-weight: 400;
  font-style: italic;
  font-display: block;
}
* {
  box-sizing: border-box;
  cursor: none;
}
canvas {
  display: block;
}
html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
}
body {
  font-family: neue machina, Arial, Helvetica, sans-serif;
  color: #fff;
  background-color: #000;
  background-image: url(../images/bg-bg.png);
  background-position: center top;
  background-repeat: repeat;
}
main {
  flex-grow: 1;
}
img {
  max-width: 100%;
}
ul,
li {
  padding: 0;
  margin: 0;
  list-style-type: none;
}
a {
  color: currentColor;
  text-decoration: none;
  transition: opacity 0.3s;
}
button,
input,
textarea {
  font-family: neue machina, Arial, Helvetica, sans-serif;
}
@media only screen and (min-width: 1025px) {
  a:hover {
    opacity: 0.7;
  }
}
@media only screen and (max-width: 1024px) {
  * {
    cursor: auto;
  }
}
@-moz-keyframes pulse {
  0%,
  100% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}
@-webkit-keyframes pulse {
  0%,
  100% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}
@-o-keyframes pulse {
  0%,
  100% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}
@keyframes pulse {
  0%,
  100% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}
@-moz-keyframes scale {
  0%,
  100% {
    transform: scale(0.2, 0.2);
  }
  50% {
    transform: scale(1, 1);
  }
}
@-webkit-keyframes scale {
  0%,
  100% {
    transform: scale(0.2, 0.2);
  }
  50% {
    transform: scale(1, 1);
  }
}
@-o-keyframes scale {
  0%,
  100% {
    transform: scale(0.2, 0.2);
  }
  50% {
    transform: scale(1, 1);
  }
}
@keyframes scale {
  0%,
  100% {
    transform: scale(0.2, 0.2);
  }
  50% {
    transform: scale(1, 1);
  }
}
@-moz-keyframes bar {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}
@-webkit-keyframes bar {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}
@-o-keyframes bar {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}
@keyframes bar {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}
@-moz-keyframes preloader {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}
@-webkit-keyframes preloader {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}
@-o-keyframes preloader {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}
@keyframes preloader {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}
.error-page {
  padding: 30px;
}
.error-page h4 {
  font-size: 14px;
  font-weight: 400;
  text-transform: uppercase;
}
.error-page__code {
  font-size: 44px;
}
.cursor {
  position: fixed;
  top: 0;
  left: 0;
  border-radius: 50%;
  line-height: 0;
  pointer-events: none;
  opacity: 1;
  color: transparent;
  visibility: visible;
  transition: opacity 0.3s, color 0.3s;
}
.cursor svg {
  width: 100%;
  height: 100%;
  fill: currentColor;
  stroke: url(#gradient);
  transition: stroke 0.3s;
}
.cursor--sm {
  width: 12px;
  height: 12px;
  z-index: 9999;
  margin: -6px 0 0 -6px;
  color: #fff;
}
.cursor--sm::after {
  content: "";
  font-size: 12px;
  line-height: 15px;
  text-transform: uppercase;
  letter-spacing: 0.17em;
  color: #fff;
  position: absolute;
  left: 100%;
  top: 50%;
  transform: translateY(-50%);
  white-space: nowrap;
  margin-left: 25px;
  opacity: 0;
  transition: opacity 0.3s;
}
.cursor--sm svg {
  stroke: #fff;
}
.cursor--sm.is-hover {
  color: transparent;
}
.cursor--sm.is-hover svg {
  stroke: url(#gradient);
}
.cursor--sm.is-portal {
  color: #fff;
}
.cursor--sm.is-portal svg {
  stroke: #fff;
}
.cursor--sm.is-helper::after {
  content: "hold anywhere";
  opacity: 1;
}
.cursor--md {
  width: 22px;
  height: 22px;
  z-index: 9998;
  margin: -11px 0 0 -11px;
}
.cursor--md.is-portal {
  opacity: 0;
}
.cursor--lg {
  width: 40px;
  height: 40px;
  z-index: 9998;
  margin: -20px 0 0 -20px;
  transition: opacity 0.3s, transform 0.1s linear;
}
.cursor--lg svg {
  transition: stroke 0.3s;
}
.cursor--lg.is-portal svg {
  stroke: #fff;
}
@media only screen and (max-width: 1024px) {
  .cursor {
    display: none;
  }
}
.footer {
  position: fixed;
  left: 0;
  bottom: 0.46vh;
  width: 100%;
  padding: 1.4vh 0 4.1vh;
}
.footer__container {
  width: 100%;
  margin: 0 auto;
  padding: 0 2.8vw;
}
.footer__contacts {
  display: flex;
  align-items: center;
  position: relative;
}
.footer__contacts::after {
  content: "";
  display: none;
  position: absolute;
  top: 50%;
  right: 0;
  width: 100%;
  max-width: 300px;
  height: 65%;
  border-radius: 50%;
  background-image: radial-gradient(
      closest-side,
      #00f0ff4d 10%,
      transparent 70%
    ),
    radial-gradient(farthest-side, #3cf19f4d 20%, transparent);
  transform: translate(60%, -50%);
  pointer-events: none;
}
.footer__contact {
  font-family: /*"cstm xprmntl 02",*/'neue machina', Arial, Helvetica, sans-serif;
  font-size: min(15px, 2vh);
  line-height: 1.66;
  font-weight: 400;
  letter-spacing: 0.03em;
  font-style: italic;
}
.footer__contact span {
  display: inline-block;
  padding-bottom: 3px;
}
.footer__contact--mail span {
  border-width: 0 0 1px;
  border-style: solid;
  border-image: linear-gradient(
      to right,
      #3cf19f,
      #3cebcd,
      #3ce6f1,
      #85b6ff,
      #fff
    )
    100% 1;
}
.footer__line {
  width: 50%;
  border-bottom: 1px solid #fff;
  margin: 0 auto;
}
@media only screen and (max-width: 1024px) {
  .footer__contact {
    font-family: neue machina, Arial, Helvetica, sans-serif;
    font-style: normal;
  }
}
@media only screen and (max-width: 1024px) and (orientation: portrait) {
  .footer {
    position: relative;
    flex-shrink: 0;
    padding: 5px 0 30px;
  }
  .footer__container {
    margin: 0 15px;
    padding: 0;
    position: relative;
    width: auto;
  }
  .footer__container::before,
  .footer__container::after {
    content: "";
    position: absolute;
    bottom: 0;
    width: 1px;
    height: calc(100% - 44px);
    background: linear-gradient(
      to bottom,
      #3cf19f,
      #3cebcd,
      #3ce6f1,
      #85b6ff,
      #fff
    );
    border-image-slice: 1;
  }
  .footer__container::before {
    left: 0;
  }
  .footer__container::after {
    right: 0;
  }
  .footer__contacts {
    flex-direction: column;
    padding: 10px 0 17px;
  }
  .footer__contacts::after {
    display: block;
  }
  .footer__contact--mail {
    position: relative;
    width: 100%;
    text-align: center;
  }
  .footer__contact--mail::before,
  .footer__contact--mail::after {
    content: "";
    position: absolute;
    top: 0;
    width: 81px;
    height: 69px;
    transform: translateY(-33%);
    background-size: contain;
    background-repeat: no-repeat;
  }
  .footer__contact--mail::before {
    left: 0;
    background-image: url(../images/mail-decor-left.svg);
  }
  .footer__contact--mail::after {
    right: 0;
    background-image: url(../images/mail-decor-right.svg);
  }
  .footer__contact--phone {
    padding-top: 55px;
  }
  .footer__line {
    display: none;
  }
}
@media only screen and (max-width: 374px) and (orientation: portrait) {
  .footer__contacts {
    padding-top: 0;
  }
  .footer__contact--mail::before,
  .footer__contact--mail::after {
    top: 9px;
    width: 40px;
    height: 35px;
  }
}
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
}
.header__container {
  padding: 0 min(15.2vh, 8.6vw) 0 2.8vw;
  margin: 2vh 2.8vw 0 0;
  position: relative;
}
.header__decor {
  position: absolute;
  right: 0;
  top: 0;
  z-index: 1;
  pointer-events: none;
  width: min(15.2vh, 8.6vw);
}
.header__decor img {
  width: 100%;
}
.header__decor img:nth-of-type(2) {
  display: none;
}
.header__wrap {
  border-width: 0 0 1px;
  border-style: solid;
  border-image: linear-gradient(
      to left,
      #3cf19f,
      #3cebcd,
      #3ce6f1,
      #85b6ff,
      #fff
    )
    100% 1;
  padding: 0 0 2vh;
}
.header__box {
  display: flex;
  align-items: center;
  padding: 2.5vh 0;
  border-width: 0 0 0 1px;
  border-style: solid;
  border-image: linear-gradient(
      to bottom,
      #3cf19f,
      #3cebcd,
      #3ce6f1,
      #85b6ff,
      #fff
    )
    100% 1;
  border-image-slice: 1;
}
.header__logo {
  width: min(22vh, 211px);
  margin-left: 2vw;
  line-height: 0;
  flex-shrink: 0;
}
.header__socials {
  margin-left: auto;
}
@media only screen and (max-width: 1024px) and (orientation: portrait) {
  .header {
    position: relative;
  }
  .header__container {
    padding: 0 15px;
    margin: 30px 0 0;
  }
  .header__wrap {
    padding-bottom: 11px;
    position: relative;
    border: none;
  }
  .header__wrap::before,
  .header__wrap::after {
    content: "";
    position: absolute;
    bottom: 0;
    height: 1px;
    border-image-slice: 1;
  }
  .header__wrap::before {
    left: 0;
    width: calc(100% - 68px - 17px);
    background: linear-gradient(
      to left,
      #3cf19f,
      #3cebcd,
      #3ce6f1,
      #85b6ff,
      #fff
    );
  }
  .header__wrap::after {
    right: 0;
    width: 17px;
    background: linear-gradient(
      to right,
      #3cf19f,
      #3cebcd,
      #3ce6f1,
      #85b6ff,
      #fff
    );
  }
  .header__box {
    padding: 0 17px 20px;
    border-width: 0 1px;
  }
  .header__logo {
    margin-left: 0;
    width: 141px;
  }
  .header__decor {
    top: 100%;
    width: 75px;
    transform: translate(-45%, -25%);
  }
  .header__decor img:nth-of-type(1) {
    display: none;
  }
  .header__decor img:nth-of-type(2) {
    display: block;
  }
}
.intro {
  height: 100vh;
  height: calc(var(--vh, 1vh) * 100);
  transition: height 0.3s;
  position: relative;
  padding: 13.6vh 0 10vh;
}
.intro__container {
  padding: 0 2.8vw;
  height: 100%;
}
.intro__box {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: relative;
}
.intro__text {
  margin: 4.1vh 0 3vh;
  font-size: min(4.5vh, 2.8vw);
  line-height: 1;
  font-weight: 500;
  text-transform: uppercase;
  position: relative;
  letter-spacing: 0.2em;
  transition: letter-spacing 2s 1s;
}
.intro__text-item {
  position: relative;
  background: linear-gradient(
    250.31deg,
    #fff 41.95%,
    #85b6ff 59.94%,
    #3ce6f1 65.94%,
    #3cebcd 74.43%,
    #3cf19f 81.67%
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
}
.intro__text-item::before,
.intro__text-item::after {
  content: "";
  position: absolute;
  left: 8em;
  width: 1.42em;
  height: 1.65em;
  background-position: center;
  background-size: contain;
}
.intro__text-item::before {
  top: 0;
  background-image: url(../images/text-image-1.svg);
}
.intro__text-item::after {
  bottom: 0;
  background-image: url(../images/text-image-2.svg);
}
.intro__text-item--ru::before {
  left: 6em;
}
.intro__text br.desktop {
  display: block;
}
.intro__text br.mobile {
  display: none;
}
.intro__glow {
  display: block;
  position: absolute;
  top: 50%;
  right: calc(100% + 2.8vw);
  width: 100vw;
  max-width: 300px;
  height: 66vh;
  margin-top: -33vh;
  border-radius: 50%;
  background-image: radial-gradient(
      closest-side,
      #00f0ffb3 10%,
      transparent 70%
    ),
    radial-gradient(farthest-side, #3cf19fb3 20%, transparent);
  transform: translateX(0%);
  pointer-events: none;
}
.intro__decor {
  flex-grow: 1;
  border-width: 0 0 0 1px;
  border-style: solid;
  border-image: linear-gradient(
      to bottom,
      #3cf19f,
      #3cebcd,
      #3ce6f1,
      #85b6ff,
      #fff
    )
    100%;
  border-image-slice: 1;
}
.intro__decor--mobile {
  display: none;
}
@media only screen and (max-width: 1440px) {
  .intro__text {
    margin: 4.1vh 0 1.8vh;
  }
}
@media only screen and (max-width: 1365px) {
  .intro__box::before {
    height: 80%;
  }
}
@media only screen and (max-width: 1024px) {
  .intro__text span {
    padding-left: 0 !important;
  }
}
@media only screen and (max-width: 1024px) and (orientation: portrait) {
  .intro {
    min-height: 100vh;
    height: auto;
    padding: 11px 0 16px;
  }
  .intro__container {
    padding: 0 15px;
  }
  .intro__box {
    border-width: 0 1px 0 0;
    border-style: solid;
    border-image: linear-gradient(
        to bottom,
        #3cf19f,
        #3cebcd,
        #3ce6f1,
        #85b6ff,
        #fff
      )
      100%;
    border-image-slice: 1;
  }
  .intro__text {
    margin: 10px 0;
    margin-right: -30vw;
    font-size: 23px;
    font-size: min(3.4vh, 5.8vw);
    transition: letter-spacing 2s 1s, margin-right 2s 1s;
  }
  .intro__text br.desktop {
    display: none;
  }
  .intro__text br.mobile {
    display: block;
  }
  .intro__text-item::before {
    left: 13em;
  }
  .intro__text-item::after {
    left: 10.5em;
  }
  .intro__text-item--ru::before {
    left: 12.5em;
  }
  .intro__text-item--ru::after {
    left: 13.5em;
  }
  .intro__glow {
    height: calc(var(--vh, 1vh) * 65);
    right: auto;
    left: 0;
    width: 200vw;
    background-image: radial-gradient(
        closest-side,
        #00f0ff4d 10%,
        transparent 70%
      ),
      radial-gradient(farthest-side, #3cf19f4d 20%, transparent);
    transform: translateX(-65%) !important;
  }
  .intro__decor--desktop {
    height: 33px;
  }
  .intro__decor--mobile {
    display: block;
    flex-grow: 1;
    height: calc(94px + 70vh);
    order: -1;
    flex-shrink: 0;
  }
}
@media only screen and (max-width: 767px) and (orientation: portrait) {
  .intro__decor--mobile {
    height: calc(94px + 55vh);
  }
}
.nav {
  position: fixed;
  right: 0;
  top: 20vh;
  bottom: 11vh;
}
.nav-socials {
  display: flex;
  align-items: center;
}
.nav-socials__link {
  margin-left: 1vw;
  flex-shrink: 0;
}
.nav-socials__link:first-child {
  margin-left: 0;
}
.nav-socials a {
  display: block;
  line-height: 0;
  width: min(3.7vh, 40px);
  height: min(3.7vh, 40px);
}
.nav-socials a .svg-icon {
  fill: none;
  stroke: #fff;
  width: 100%;
  height: 100%;
}
.nav-menu {
  flex-grow: 1;
  height: 100%;
  color: #fff;
  padding-right: 3vw;
  font-size: min(2vh, 18px);
  line-height: 1.28;
  letter-spacing: 0.1em;
}
.nav-menu__list {
  height: 100%;
  display: flex;
  flex-flow: column nowrap;
  align-items: flex-start;
  justify-content: space-between;
}
.nav-menu__item {
  flex-grow: 1;
  width: 100%;
  display: flex;
  flex-flow: column nowrap;
  align-items: flex-start;
  justify-content: center;
  padding: 0.4vh 0;
  position: relative;
}
.nav-menu__item::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 0.27vh;
  background-color: #fff;
  transition: width 0.6s;
}
.nav-menu__item:first-child {
  padding-top: 0;
}
.nav-menu__item:last-child {
  padding-bottom: 0;
}
.nav-menu__item:last-child::after {
  display: none;
}
.nav-menu__text {
  transition: opacity 0.6s;
}
.nav-menu__dots {
  margin-top: 10%;
}
.nav-menu__dots i {
  display: inline-flex;
  align-items: center;
  width: min(0.74vh, 8px);
  border-radius: 50%;
  border: 1px solid currentColor;
  margin-right: 0.2vw;
}
.nav-menu__dots i::after {
  content: "";
  display: block;
  position: relative;
  width: 100%;
  padding-bottom: 100%;
  height: 0;
}
@media only screen and (max-width: 1024px) and (orientation: portrait) {
  .nav {
    position: static;
  }
  .nav-socials__link {
    margin-left: 10px;
  }
  .nav-socials a {
    width: 25px;
    height: 25px;
  }
  .nav-menu {
    font-size: 18px;
    padding: 86px 0 0;
  }
  .nav-menu__item {
    padding: 45px 0;
  }
  .nav-menu__item::after {
    width: 0;
  }
  .nav-menu__item.is-visible::after {
    width: 100%;
  }
  .nav-menu__item.is-visible .nav-menu__text {
    opacity: 1;
  }
  .nav-menu__text {
    opacity: 0;
  }
  .nav-menu__dots i {
    width: 8px;
    margin-right: 5px;
  }
}
.preloader {
  display: flex;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
  pointer-events: none;
  opacity: 0;
  transition: opacity 1s;
}
.preloader__box {
  margin: auto;
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
}
.preloader__image {
  width: min(36vw, 63vh);
  max-width: 689px;
  height: auto;
  line-height: 0;
  position: relative;
}
.preloader__image::before {
  content: "";
  display: block;
  position: absolute;
  width: 24%;
  padding-bottom: 30%;
  top: 37%;
  left: 38%;
  border-radius: 50%;
  background-color: #3cf19f;
  filter: blur(100px);
  transform: scale(1, 1);
  animation: scale 2s infinite;
}
.preloader__image-item {
  width: 100%;
  height: auto;
  position: relative;
}
.preloader__image-item--active {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  object-fit: contain;
  animation: pulse 2s infinite;
}
.preloader__text {
  display: none;
  font-size: 12px;
  line-height: 15px;
  text-transform: uppercase;
  letter-spacing: 0.17em;
  margin: 30px 0 0;
  text-align: center;
  opacity: 0;
  transition: opacity 1s;
}
.preloader__button {
  font-size: 12px;
  line-height: 15px;
  text-transform: uppercase;
  padding: 0;
  border: none !important;
  letter-spacing: 0.17em;
  margin: 30px 0 0;
  text-align: center;
  background-color: transparent;
  color: #ffffff99;
  text-decoration: underline;
  pointer-events: none;
  opacity: 0;
  transition: opacity 1s, color 0.3s;
}
.preloader__button:hover {
  color: #fff;
}
.preloader__bar {
  width: 296px;
  height: 1px;
  overflow: hidden;
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -148px;
  margin-top: 50px;
  visibility: visible;
  opacity: 1;
  transition: opacity 0.3s ease;
}
.preloader__bar::before {
  content: "";
  display: block;
  position: absolute;
  right: 100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    90deg,
    #3cf19f 0%,
    #3cebcd 14.58%,
    #3ce6f1 30.73%,
    #85b6ff 46.87%,
    #fff 77.08%
  );
  animation: preloader 2s 1 forwards;
}
.preloader.is-active {
  pointer-events: auto;
}
body[data-state="loaded"] .preloader__bar,
body[data-state="run"] .preloader__bar {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 0.3s ease, opacity 0.3s ease;
}
@media only screen and (max-width: 1024px) {
  .preloader__image {
    width: 280px;
  }
  .preloader__image::before {
    filter: blur(40px);
  }
  .preloader__text {
    display: block;
  }
  .preloader__bar {
    width: 280px;
    margin: 40px 0 0 -140px;
  }
}
.sound {
  display: flex;
  background-color: transparent;
  padding: 0;
  border: none;
  color: currentColor;
  height: min(25px, 3.32vh);
  margin-right: 2%;
}
.sound__icon {
  fill: currentColor;
  max-height: 100%;
}
.sound__cross,
.sound__waves {
  fill: #3cf19f;
  transition: opacity 0.3s;
}
.sound__cross {
  opacity: 0;
}
.sound.is-muted .sound__waves {
  opacity: 0;
}
.sound.is-muted .sound__cross {
  opacity: 1;
}
@media only screen and (max-width: 1024px) and (orientation: portrait) {
  .sound {
    position: fixed;
    bottom: 20px;
    right: 30px;
    margin: 0;
  }
}
.wrapper {
  position: relative;
  height: 100%;
  overflow: hidden;
  overflow-y: auto;
}
.wrapper__canvas {
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 3;
  pointer-events: none;
  opacity: 0;
  transition: opacity 1s 0.5s;
}
.wrapper__canvas .webgl {
  top: 0;
  left: 0;
  width: 100% !important;
  height: 100% !important;
  outline: none;
}
.wrapper__container {
  position: relative;
  display: flex;
  flex-flow: column nowrap;
  width: 100%;
  height: auto;
  min-height: 100%;
  overflow: hidden;
  z-index: 2;
  opacity: 0;
  pointer-events: none;
  transition: opacity 1s 0.5s;
}
@media only screen and (max-width: 1024px) {
  .wrapper__canvas {
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
  }
}
body[data-state="preloader"] .preloader,
body[data-state="loaded"] .preloader {
  opacity: 1;
  transition: opacity 1s;
}
body[data-state="loaded"] .cursor--sm::after {
  content: "Click anywhere to explore";
  opacity: 1;
}
body[data-state="loaded"] .preloader__image::before {
  animation: none;
  transform: scale(1, 1);
}
body[data-state="loaded"] .preloader__image-item--active {
  animation: none;
  opacity: 1;
}
body[data-state="loaded"] .preloader__text {
  opacity: 1;
}
body[data-state="loaded"] .preloader__button {
  opacity: 1;
  pointer-events: auto;
}
body[data-state="run"] .preloader {
  pointer-events: none !important;
}
body[data-state="run"] .wrapper__canvas,
body[data-state="run"] .wrapper__container {
  opacity: 1;
}
body[data-state="run"] .wrapper__container {
  pointer-events: auto;
}
body[data-state="run"] .intro__text {
  letter-spacing: 0;
  margin-right: 0;
}
body[data-lang="en"] .ru {
  display: none;
}
body[data-lang="ru"] .en {
  display: none;
}
